Bug All tvaddons broken on 64bit linux since 10/3/2017

richard-g8jvm

New member
Mar 20, 2017
11
0
0
Hi
I've been working my way through as many on the addons and find every single one is no longer useable
on 64 bit linux distros running kodi
still working on 32 bit
So what ever brilliant upgrade was put in and distributed on the March 10 , I can no longer watch any of the addons from tvaddons.co
on all three of my 64 bit linux machines, everything was fing until about mid morning on March 10
Now the only machine that is useable is a Odroid C1 SBC, and its slow and a pain to use.
Its definitly not kodi all the supported plugins work well.

The kodi logs dont give anything useful, except kodi crashes as soon as the url handler in invoked.
I thought at first it was the Ex**us plugin, but its not .
was this an open declaration of war on the linux community that use 64 bit distros ?????

This is the last line you ever see in the log as kodi crashes

16:39:14 T:545955860256 NOTICE: URLResolver: Initializing URLResolver version: 3.0.29

I'm really unhappy over this as there are some excellent plugins, but it looks as if someone has declared war on linux
very unfair as most development work is done with linux and the cross compiled.
Richard
 

Meep

New member
Aug 23, 2016
692
0
0
I find it hard to believe that every addon here is broken with *nix 64 machines, as there are bound to be many more people using said OS then just you, yet your issues appear to be isolated to just you as I have not seen anyone else with the same claims... Not to mention the addons here are developed by a slew of independent developers... To me this suggest it's almost certainly a problem located elsewhere likely with your hardware or the specific *nix distribution(s) you are using... Possibly an update rolled out to your OS or something else on your machines on March 10th?

I'm really unhappy over this as there are some excellent plugins, but it looks as if someone has declared war on linux
very unfair as most development work is done with linux and the cross compiled.
To imply that some 'malicious' code was added to all the addons here, by all the developers, just to wreak havoc on *nix 64 based installs is honestly tin hat territory, IMO...
 

richard-g8jvm

New member
Mar 20, 2017
11
0
0
I have checked on updates to OS and Kodi, and the only effected addons are those from tvaddons.co
All the addons that I use that are officially supported function as intended.
Your reaction is to be expected anyone else but us !!!
If all the supported addons on kodi work, and all the addons from tvaddons.co cause kodi to crash on 64 bit machines, and it occurred on a dated where an announcement was made on upgrades , I know where to point the finger of blame.

why not just say you are only going to support android devices and linux users are a minority, as thats where I believe tvaddons.co are going.
 

Krunchy

New member
Sep 25, 2013
200
0
0
USA
Far be it from me to poke a hole in your conspiracy bubble, but...

I've been using Ubuntu 16.04 (64 bit) with XBMC/Kodi for a few years now.
I'm not seeing the problems you describe.

I've had Kodi crash once in the past few weeks. This was a stubborn link in Spo*ts De*il.

None of these (all from TVA) have caused a crash:
Ex**us
SA*TS
Pho*nix
Ororo TV

These are just the addons that I regularly use.

Hope you resolve your issues and return to enjoying some of the best addons around.
 

richard-g8jvm

New member
Mar 20, 2017
11
0
0
I'm also using ubuntu 16.04 , and Linux mint 18.2 both < mint on two machines>
all crash kodi as the url resolver in invoked on the same as you use,
No problem on kodi supported addons, and it occurs on kodi15, 16 and 17.
And it started when the updates were release on March 10
All OS's have been reloaded and so has Kodi ( three versions)
and it only crashes when TVaddons are used

Maybe your system is not up to date ?, my systems are up to date, I wish they were not as its the last updates from tvaddons.co that are broken.
 

richard-g8jvm

New member
Mar 20, 2017
11
0
0
One more thing
you cant paste a log as the site wont allow anything with a url in it,
and I cant paste a log in to logs section as it wont accept my login I use here...

I'm really hacked off with whole experience of this site, great addons if you are lucky enough to have something that compatible the the developers machine , but if not its tough luck.
I've been asking for help since march 10 and absolutely nothing
 

Stoofer

Moderator
Staff member
Apr 18, 2015
674
0
0
Wales
Is your position still that the developers have somehow 'ganged-up' on Linux 64 to deliberately damage the add-ons so they wouldn't work - an "open declaration of war" was the phrase? Please tell me it's not.

Sorry your time here hasn't been what you expected, I did look back at your previous posts and saw that people like Spanky offered you some suggestions when you first posted. Krunchy above seems to be running roughly the same setup as you and getting it to work so I can only assume the the problem is somehow unique to yours.

BTW I think you mistyped something there, according to the records you only joined on the 20th of March - https://www.tvaddons.co/forums/members/96151.html
 

invisable

New member
Feb 23, 2013
767
0
0
UK
One more thing
you cant paste a log as the site wont allow anything with a url in it,
and I cant paste a log in to logs section as it wont accept my login I use here...

I'm really hacked off with whole experience of this site, great addons if you are lucky enough to have something that compatible the the developers machine , but if not its tough luck.
I've been asking for help since march 10 and absolutely nothing
If you can't post a log because the forum won't allow it try link try obscuring the link slightly instead of http use h**p.

If your really sure it's Urlresolver you could try temporary rolling back to a previous version and just disable updates for the Urlresolver while testing.
Obviously know the risks that certain links won't resolve and this is not a solution just advise for you to troubleshoot.
Code:
https://offshoregit.com/tvaresolvers/tva-common-repository/raw/master/zips/script.module.urlresolver/
Once you pinpoint the issue try posting a debug log, with a slightly obscured link if need be.
There has been issues in the past when other groups have bumped there version of Urlresolver and caused crashes if you only use TVaddons repositorys you should be OK.
 
Last edited:

richard-g8jvm

New member
Mar 20, 2017
11
0
0
I tried doing that, and instead of a long log file
it ended up with just a couple of lines before the site would accept it.
which meant the log was meaning less
whats the point of having a debug log section , if you are stopped from logging in to it.
 

richard-g8jvm

New member
Mar 20, 2017
11
0
0
20:27:14.607 T:139914842445568 NOTICE: Running database version Addons27
20:27:14.629 T:139914842445568 NOTICE: Running database version ViewModes6
20:27:14.666 T:139914842445568 NOTICE: Running database version Textures13
20:27:14.792 T:139914842445568 NOTICE: Running database version MyMusic60
20:27:15.024 T:139914842445568 NOTICE: Running database version MyVideos107
20:27:15.072 T:139914842445568 NOTICE: Running database version TV29
20:27:15.153 T:139914842445568 NOTICE: Running database version Epg11
20:27:15.189 T:139915326019968 NOTICE: start dvd mediatype detection
20:27:17.889 T:139915326019968 WARNING: JSONRPC: Could not parse type "Setting.Details.SettingList"
20:27:19.380 T:139915326019968 NOTICE: initialize done
20:27:19.380 T:139915326019968 NOTICE: Running the application...
20:27:19.384 T:139915326019968 NOTICE: starting zeroconf publishing
20:27:19.384 T:139915326019968 NOTICE: starting upnp client
20:27:19.506 T:139913500542720 NOTICE: ES: Starting UDP Event server on port 9777
20:27:19.506 T:139913500542720 NOTICE: UDP: Listening on port 9777 (ipv6 : false)
20:27:26.851 T:139913717778176 NOTICE: [plugin.video.youtube] Startup: detected Krypton (Kodi-17.1), setting DASH_SUPPORT_BUILTIN = False, DASH_SUPPORT_ADDON = True
20:27:35.303 T:139913717778176 NOTICE: metahandler: Initializing MetaHandlers version: 2.9.0
20:27:35.444 T:139913717778176 NOTICE: metahandler: Loading sqlite3 as DB engine version: 3.11.0
20:27:35.776 T:139913717778176 ERROR: metahandler: Error connecting to TMDB: HTTP Error 401: Unauthorized
20:27:35.777 T:139913717778176 NOTICE: metahandler: No SQLite rows requiring update
20:27:47.167 T:139913717778176 NOTICE: metahandler: Initializing MetaHandlers version: 2.9.0
20:27:47.190 T:139913717778176 NOTICE: metahandler: Loading sqlite3 as DB engine version: 3.11.0
20:27:47.467 T:139913717778176 ERROR: metahandler: Error connecting to TMDB: HTTP Error 401: Unauthorized
20:27:47.468 T:139913717778176 NOTICE: metahandler: No SQLite rows requiring update
20:27:49.909 T:139913717778176 NOTICE: URLResolver: Initializing URLResolver version: 3.0.29


############### END LOG FILE ################

############ END Kodi CRASH LOG #############
 

invisable

New member
Feb 23, 2013
767
0
0
UK
Just throwing this out there....
What version of Python do you have installed on your Linux machines ? As far as I know on Linux Kodi uses the same python version as installed and used by OS.
Is it possible python 2 has been upgraded to python 3 when updating.
It appears that the update to URLresolver includes more updates to filehosters that have moved over to SSL. It could be why your machine is crashing when the Resolver is called.

Obviously a debug log would show us this and I still don't understand why you can't upload a log to pastebin and just obscure the link ? Anyway just incase you need to install an older (kodi compatible) version of Python on your machine.
Code:
sudo apt-get install python-2.7.12 python-pip

"Please excuse my spelling, I struggle anyway and the mobile browser doesn't help much."
 

crzen

New member
Aug 24, 2013
460
0
0
it could be the ssl bug in pyopenssl. I am also on mint 18.2 x64
try uninstalling the youtube addon and see if that helps the addons start working
If it does you might need to look into installing then upgrading pip then upgrading pyopenssl then upgrading another one called cryptography
 
Last edited:

richard-g8jvm

New member
Mar 20, 2017
11
0
0
Thanks
Code:
[email protected]:~$ python --version
Python 2.7.12
removing youtube on the laptop running Mint18.2 and reinstalling the later youtube addon allowed Ex**us to run once,
so youtube removed and Ex**us running on the laptop.
the 64bit ARM board is being more troublesome
on the LM18.2 laptop there is python3-pip and python3-openssl 0.15.1, python3-crypto 2.6.1,
the 64 bit ARM board has the same version packages, on the ARM board installing python-pip triggers the install of
the meta package python-full. That is now installed
 

crzen

New member
Aug 24, 2013
460
0
0
So its working again?
Once you upgrade those three you should be able to put youtube back and they should all work fine
I dont know if this trick works on the ARM.
Ive only had to do this on mint
 
Last edited:

richard-g8jvm

New member
Mar 20, 2017
11
0
0
Hi
yes working on the laptop running linuxmint 18.1, so far not on the ARM machine, I haven't put youtube back on the laptop yet,
that rules out many addons which uses youtube. Strange the way this bug took effect exactly when updates to Ex**us and pheonix were annouced, I suspect a few other updates at the same time.
I tempted to download the latest python 2.7.13 and try and compile on the ARM64 machine , that may not be an easy process.
thanks crzen
 

crzen

New member
Aug 24, 2013
460
0
0
No problem.
Actuality, i think it might have been the last youtube update that exposed it.
That might be why it looks like it hit a bunch of addons all at once.
Try going back to the later stable version of youtube on the ARM.
If that doesnt work it might be that other ssl issue with the websites
 
Last edited:

Frank ZL2BR

New member
Apr 7, 2017
2
0
0
Had the same problem as Richard-g8vjm, running Kodi 17.1 and Ubuntu desktop 16.04LTS on a AsRock Beebox, everything was fine on three windows machines running 17.1.

The latest YouTube update 5.3.12 was the culprit in my case. The changes in YouTube 5.2.13 are:
[fix/upd} replace custom simple_requests with script.module.requests to resolve ssl and cross-platform issues
[add] 'Resent access manager' added to Maintenance section, sign out process(available when logged out) to clean up tokens in setting.xml
[upd] set default for SSL certification verification to 'true'

Is it possible that the fix/upd resolved something in some OS's but created problems with Kodi 17 and 17.1 in Ubuntu 04LTS?

I've uninstalled the YouTube addon and everything is back to normal.